from parallels.core.utils.entity import Entity


class SubscriptionPlan(Entity):
    def __init__(self, subscription_id, plan_id, quantity):
        self._subscription_id = subscription_id
        self._plan_id = plan_id
        self._quantity = quantity

    @property
    def subscription_id(self):
        """
        :rtype: str | unicode
        """
        return self._subscription_id

    @property
    def plan_id(self):
        """
        :rtype: str | unicode
        """
        return self._plan_id

    @property
    def quantity(self):
        """
        :rtype: str | unicode
        """
        return self._quantity
